Bug 243431 - SQL Dialects documented for Oracle 9i and 10g need to be changed
Summary: SQL Dialects documented for Oracle 9i and 10g need to be changed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: doc-Hibernate_Reference_Guide   
(Show other bugs)
Version: 4.2.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Joshua Wulf
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 17:22 UTC by Shelly McGowan
Modified: 2014-10-19 22:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 01:19:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Shelly McGowan 2007-06-08 17:22:24 UTC
Description of problem:
http://opensource.atlassian.com/projects/hibernate/browse/HHH-2665

Dialects for Oracle9i and Oracle10g have been separated.

The Hibernate Reference Guide, Chapter 3, Section 4.1 currently states:

Oracle 9i/Oracle10g-  org.hibernate.dialect.Oracle9Dialect

The version of Hibernate in JBEAP 4.2.0 will have the fix identified in the
above jira therefore the documentation needs to reflect this as well.

Oracle 9i - org.hibernate.dialect.Oracle9iDialect
Oracle 10g - org.hibernate.dialect.Oracle10gDialect

Comment 1 Shelly McGowan 2007-06-15 00:36:29 UTC
This should be included in the final doc set for 4.2.0.GA

Comment 2 Shelly McGowan 2007-06-18 14:48:36 UTC
This affects Appendix of Server configuration Guide too

Comment 3 Joshua Wulf 2007-06-22 08:29:42 UTC
Server Config Guide and Hibernate Reference Guide fixed and being pushed
through. QA to verify.


Note You need to log in before you can comment on or make changes to this bug.